Subject: DateTimeConverter should support DateTime subclasses
Description

Currently DateTimeConverter only accepts target types of 'DateTime'.
It should be possible to convert sub-types too.

Associated revisions
Revision f12ba2d3 - 2012-05-03 09:19 - Bastian Waidelich

[FEATURE] DateTimeConverter should support DateTime subclasses

Currently DateTimeConverter only accepts target types of 'DateTime'.
This change adjusts the converter so that it works for subclasses
of \DateTime too.

Change-Id: Ia462e73425880788c89b565b797231f28fee04f0
Resolves: #33531
Releases: 1.1

History
#1 - 2012-01-30 14:07 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8770

#2 - 2012-02-10 11:34 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8770

#3 - 2012-02-22 14:25 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8770

#4 - 2012-05-03 09:22 - Gerrit Code Review
Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8770

#5 - 2012-05-03 14:40 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f12ba2d320d98bac6f3ac16e7fee026722e59eb6.
